Subject: Re: [PATCH v11 08/12] landlock: Add network rules and TCP hooks support

From: Günther Noack <[email-masked]>
Date: Tue, 27 Jun 2023 21:48:36 +0200

On Tue, May 16, 2023 at 12:13:35AM +0800, Konstantin Meskhidze wrote:
> +static int add_rule_net_service(struct landlock_ruleset *ruleset,
> +				const void __user *const rule_attr)
> +{
> +#if IS_ENABLED(CONFIG_INET)
> +	struct landlock_net_service_attr net_service_attr;
> +	int res;
> +	access_mask_t mask;
> +
> +	/* Copies raw user space buffer, only one type for now. */

Nit, which I came across by accident: I believe the remark "only one
type for now" referred to the fact that path_beneath_attr was the only
rule type up until now - but that is not true any more.  Please adapt
the wording also in add_rule_path_beneath, where the same comment
exists.

–Günther